
%global meadversion 1.7.5
%global namedversion 1.7.5.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_without mead

%{?scl:%scl_package avro}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/avro-eap6}
%{!?scl:%global javadir %{_javadir}/avro-eap6}

%define maven_version 1.7.5.redhat-2

Name:           %{?scl_prefix}avro%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Avro
Group:          Development/Java

%if %with mead
Source100: avro-toplevel-1.7.5.redhat-2-scm-sources.zip
Source102: avro-archetypes-parent-1.7.5.redhat-2.pom
Source103: trevni-java-1.7.5.redhat-2.pom
Source104: avro-tools-1.7.5.redhat-2-sources.jar
Source105: avro-tools-1.7.5.redhat-2.jar
Source106: avro-tools-1.7.5.redhat-2-nodeps.jar
Source107: avro-tools-1.7.5.redhat-2.pom
Source108: trevni-avro-1.7.5.redhat-2.jar
Source109: trevni-avro-1.7.5.redhat-2.pom
Source110: trevni-avro-1.7.5.redhat-2-hadoop1.jar
Source111: trevni-avro-1.7.5.redhat-2-sources.jar
Source112: trevni-avro-1.7.5.redhat-2-tests.jar
Source113: avro-maven-plugin-1.7.5.redhat-2-sources.jar
Source114: avro-maven-plugin-1.7.5.redhat-2.pom
Source115: avro-maven-plugin-1.7.5.redhat-2.jar
Source116: avro-1.7.5.redhat-2-sources.jar
Source117: avro-1.7.5.redhat-2.jar
Source118: avro-1.7.5.redhat-2-tests.jar
Source119: avro-1.7.5.redhat-2.pom
Source120: avro-mapred-1.7.5.redhat-2.jar
Source121: avro-mapred-1.7.5.redhat-2-sources.jar
Source122: avro-mapred-1.7.5.redhat-2.pom
Source123: avro-mapred-1.7.5.redhat-2-hadoop1.jar
Source124: avro-toplevel-1.7.5.redhat-2.pom
Source125: avro-toplevel-1.7.5.redhat-2-project-sources.tar.gz
Source126: avro-service-archetype-1.7.5.redhat-2-sources.jar
Source127: avro-service-archetype-1.7.5.redhat-2.jar
Source128: avro-service-archetype-1.7.5.redhat-2.pom
Source129: avro-parent-1.7.5.redhat-2.pom
Source130: avro-compiler-1.7.5.redhat-2.pom
Source131: avro-compiler-1.7.5.redhat-2-sources.jar
Source132: avro-compiler-1.7.5.redhat-2.jar
Source133: avro-thrift-1.7.5.redhat-2.jar
Source134: avro-thrift-1.7.5.redhat-2.pom
Source135: avro-thrift-1.7.5.redhat-2-sources.jar
Source136: trevni-doc-1.7.5.redhat-2.pom
Source137: trevni-core-1.7.5.redhat-2.jar
Source138: trevni-core-1.7.5.redhat-2.pom
Source139: trevni-core-1.7.5.redhat-2-sources.jar
Source140: trevni-core-1.7.5.redhat-2-tests.jar
Source141: avro-protobuf-1.7.5.redhat-2.jar
Source142: avro-protobuf-1.7.5.redhat-2-sources.jar
Source143: avro-protobuf-1.7.5.redhat-2.pom
Source144: avro-ipc-1.7.5.redhat-2.jar
Source145: avro-ipc-1.7.5.redhat-2-tests.jar
Source146: avro-ipc-1.7.5.redhat-2.pom
Source147: avro-ipc-1.7.5.redhat-2-sources.jar
%endif

License:        ASL 2.0
URL:            http://avro.apache.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}avro%{?eap}-%{namedversion}-%{release}-root

%description
Avro core components.

%prep
%setup -q -n avro -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/avro-%{namedversion}.jar %{buildroot}%{javadir}/avro-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/avro-%{namedversion}-sources.jar %{buildroot}%{javadir}/avro-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILD.txt CHANGES.txt DIST_README.txt LICENSE.txt NOTICE.txt README.txt
%dir %{javadir}
%{javadir}/avro-%{namedversion}.jar
%{javadir}/avro.jar
%{javadir}/avro-%{namedversion}-sources.jar
%{javadir}/avro-sources.jar

%changelog
* Thu Nov 06 2014 David Stahl <dstahl@redhat.com> - 1.7.5-2.redhat_2.1
- Upgrade to 1.7.5.redhat-2

* Tue Nov 04 2014 David Walluck <dwalluck@redhat.com> 0:1.7.5-1
- release
